/*
 * Name:    mpca.h
 *
 * Purpose: Module interface for the MpCaPrivate module.
 *
 * Author:  William Lavender
 *
 *---------------------------------------------------------------------------
 *
 * Copyright 2009 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

#ifndef __MPCA_H__
#define __MPCA_H__

/* Module initialization function. */

MX_API void initMpCaPrivate( void );

/* Global variable. */

extern MX_HANDLE_TABLE *MpCaPrivate_global_pv_handle_table;

/* Module functions. */

MX_API PyObject *MpCaPrivate_init_cmd( PyObject *self, PyObject *args );

MX_API PyObject *MpCaPrivate_pend_io_cmd( PyObject *self, PyObject *args );

MX_API PyObject *MpCaPrivate_pend_event_cmd( PyObject *self, PyObject *args );

MX_API PyObject *MpCaPrivate_flush_io_cmd( PyObject *self, PyObject *args );

MX_API PyObject *MpCaPrivate_pv_init_cmd( PyObject *self, PyObject *args );

MX_API PyObject *MpCaPrivate_pv_caget_cmd( PyObject *self, PyObject *args );

MX_API PyObject *MpCaPrivate_pv_caput_cmd( PyObject *self, PyObject *args );

MX_API PyObject *MpCaPrivate_pv_add_callback_cmd( PyObject *self,
							PyObject *args );

MX_API PyObject *MpCaPrivate_cb_delete_callback_cmd( PyObject *self,
							PyObject *args );

#endif /* __MPCA_H__ */

